%define		debug %nil
%define		debug_package %nil


Name:		pulumi
Version:	3.10.3
Release:	1
Summary:	Modern Infrastructure as Code
URL:		https://www.pulumi.com
Source0:	https://github.com/pulumi/pulumi/archive/v%{version}/%{name}-%{version}.tar.gz
License:	ASL 2.0
Group:		Development/Other
BuildRequires:	go >= 1.16
BuildRequires:	git-core

%description
Pulumi's Infrastructure as Code SDK is the easiest way to
create and deploy cloud software that use containers,
serverless functions, hosted services, and infrastructure,
on any cloud.

%prep
%setup -q

%build
pushd pkg
go mod download
go generate ./codegen/docs/gen.go
GO111MODULE=on go build "-buildmode=pie"  -ldflags "-X github.com/pulumi/pulumi/pkg/v3/version.Version=%{version}" -o ../bin/%{name} ./cmd/pulumi
popd

%install
install -Dm0755 bin/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README.md LICENSE
%{_bindir}/%{name}

